
// PIC16F877A Configuration Bit Settings

// 'C' source line config statements

// CONFIG
#pragma config FOSC = HS        // Oscillator Selection bits (HS oscillator)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT disabled)
#pragma config PWRTE = OFF      // Power-up Timer Enable bit (PWRT disabled)
#pragma config BOREN = OFF      // Brown-out Reset Enable bit (BOR disabled)
#pragma config LVP = OFF        // Low-Voltage (Single-Supply) In-Circuit Serial Programming Enable bit (RB3 is digital I/O, HV on MCLR must be used for programming)
#pragma config CPD = OFF        // Data EEPROM Memory Code Protection bit (Data EEPROM code protection off)
#pragma config WRT = OFF        // Flash Program Memory Write Enable bits (Write protection off; all program memory may be written to by EECON control)
#pragma config CP = OFF         // Flash Program Memory Code Protection bit (Code protection off)

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

#include <xc.h>

#define _XTAL_FREQ 10000000  // osc freq 10 MHz
void main(void) {
    
    TRISD0 = 0;  // set RD0 as output
    TRISB0 = 1;  // set RB0 as input
    
    while (1)
    {
//        if (RB0 != 0)  // if pin is high
//        {
//            RD0 = 0;  // LED OFF
//        }
        
//        else RD0=1;  // else LED on
        
        
        RD0 = ~RD0;  // toggle LED
        
        __delay_ms (500); // 500 ms delay
    }
    
    
    return;
}
